Bug 269241 - Impossible to highlight till the end of (visual) line using lexer-based coloring
Impossible to highlight till the end of (visual) line using lexer-based coloring
Status: VERIFIED FIXED
Product: editor
Classification: Unclassified
Component: Painting & Printing
Dev
PC Linux
: P3 (vote)
: Dev
Assigned To: Miloslav Metelka
issues@editor
82patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-12-05 15:09 UTC by Svata Dedic
Modified: 2016-12-14 12:45 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Svata Dedic 2016-12-05 15:09:50 UTC
It is not possible to extend highlight past the newline (till the end of the visual line) in the editor. If the highlight defines a background, then the editor changes background just up to the newline, which looks ugly.

This was fixed in trunk as http://hg.netbeans.org/jet-main/rev/35c506a540e7 and could be backported to NB-8.2
Comment 1 Svata Dedic 2016-12-09 20:59:28 UTC
Backported as 606211bc9192
Comment 2 Miloslav Metelka 2016-12-12 12:15:21 UTC
I think that the patch is ok.
It could possibly be composed to only query token.getProperty("highlight.block") if the token really contains the newline but most of the tokens are default tokens anyway that do not carry actual properties so the performance gain would be minimal so let's have it as it is now.
Comment 3 Jiri Prox 2016-12-14 12:45:14 UTC
verified


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo